package com.btc.ep.base.bl.repository;

import java.io.File;

import com.btc.ep.base.bl.Profile;

public interface ProfileRepository {

    public Profile findProfile();

    public Profile updateProfile(Profile currentProfile);

    public void clearProfile();

    public void backup(File sf) throws Exception;

    public void open(File pfile) throws Exception;

    public void closeProfile();
}
